Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class SubscriptionRequestTypeFactory

    java.lang.Object
      com.fxcm.fix.SubscriptionRequestTypeFactory

    public class SubscriptionRequestTypeFactory

extends Object

Valid codes of SubscriptionRequestType field.

Field Summary
`static ISubscriptionRequestType` | `SNAPSHOT` Subscription Request Type : Snapshot
`static ISubscriptionRequestType` | `SUBSCRIBE` Subscription Request Type : Snapshot + Update (Subscribe)
`static ISubscriptionRequestType` | `UNSUBSCRIBE` Subscription Request Type : Remove Snapshot + Update (Unsubscribe)

Constructor Summary
`SubscriptionRequestTypeFactory()`

Method Summary
`static ISubscriptionRequestType` | `toCode(String aFixCode)` Converts string to code object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SNAPSHOT

    public static final ISubscriptionRequestType SNAPSHOT

  Subscription Request Type : Snapshot

### SUBSCRIBE

    public static final ISubscriptionRequestType SUBSCRIBE

  Subscription Request Type : Snapshot + Update (Subscribe)

### UNSUBSCRIBE

    public static final ISubscriptionRequestType UNSUBSCRIBE

  Subscription Request Type : Remove Snapshot + Update (Unsubscribe)

Constructor Detail

### SubscriptionRequestTypeFactory

    public SubscriptionRequestTypeFactory()

Method Detail

### toCode

    public static ISubscriptionRequestType toCode(String aFixCode)

  Converts string to code object.

  Parameters:
    `aFixCode` - The one from `SUBSCRIPTIONREQUESTTYPE_*` constants
  Returns:
    subscription request type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.